Set up Beaker tests

Bug #1444736 reported by Spencer Krum on 2015-04-15
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
puppet-ceilometer
Undecided
Emilien Macchi
puppet-ceph
Medium
David Gurtner
puppet-cinder
Undecided
Emilien Macchi
puppet-designate
Undecided
Emilien Macchi
puppet-glance
Undecided
Emilien Macchi
puppet-horizon
Undecided
Emilien Macchi
puppet-keystone
Undecided
Emilien Macchi
puppet-manila
Undecided
Emilien Macchi
puppet-neutron
Undecided
Emilien Macchi
puppet-nova
Undecided
Emilien Macchi
puppet-openstacklib
Undecided
Emilien Macchi
puppet-sahara
Undecided
Emilien Macchi
puppet-swift
Undecided
Emilien Macchi
puppet-trove
Undecided
Emilien Macchi

Bug Description

Beaker tests for all modules. Nova has currently failing tests right now.

Changed in puppet-keystone:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/174182

Changed in puppet-nova:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress
Changed in puppet-keystone:
assignee: Emilien Macchi (emilienm) → Spencer Krum (nibalizer)

Fix proposed to branch: master
Review: https://review.openstack.org/174659

Changed in puppet-glance:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress
Changed in puppet-keystone:
assignee: Spencer Krum (nibalizer) → Emilien Macchi (emilienm)
David Gurtner (aldavud) wrote :

Reviewed: https://review.openstack.org/151970/
Committed: https://git.openstack.org/cgit/stackforge/puppet-ceph/commit/?id=e998f5dd28215f00b258a05c7ed89a2fac13edf3
Submitter: Jenkins
Branch: master

commit e998f5dd28215f00b258a05c7ed89a2fac13edf3
Author: David Gurtner <email address hidden>
Date: Tue, 17 Feb 2015 23:06:51 +0000

    Adding base infrastructure for beaker CI tests

    Change-Id: Iad5984bd9eab24d2ff589fd6d70b3ed46bab56ec

Changed in puppet-ceph:
assignee: nobody → David Gurtner (aldavud)
importance: Undecided → Medium
status: New → Fix Committed

Reviewed: https://review.openstack.org/174659
Committed: https://git.openstack.org/cgit/stackforge/puppet-glance/commit/?id=79d307044a3b2189278fdcb230625a6eae282d27
Submitter: Jenkins
Branch: master

commit 79d307044a3b2189278fdcb230625a6eae282d27
Author: Emilien Macchi <email address hidden>
Date: Thu Apr 16 20:22:58 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: Ibfe041a7f500502ce357981a7ef917d1ce2a1760
    Closes-bug: #1444736

Changed in puppet-glance:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/177253

Changed in puppet-horizon:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/177569

Changed in puppet-ceilometer:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/177601

Changed in puppet-cinder:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Reviewed: https://review.openstack.org/155873
Committed: https://git.openstack.org/cgit/stackforge/puppet-keystone/commit/?id=7e4085b70f8f79d1014cfe384a070c9d35c2ffe2
Submitter: Jenkins
Branch: master

commit 7e4085b70f8f79d1014cfe384a070c9d35c2ffe2
Author: Spencer Krum <email address hidden>
Date: Fri Feb 13 11:57:42 2015 -0800

    Beaker tests

    Implement basic structure for beaker tests.

    Co-Authored-By: Emilien Macchi <email address hidden>

    Closes-bug: #1444736
    Change-Id: I4b6e2fcbb387b4cd40f2704a08c6e6a7fee6e3d3

Changed in puppet-keystone:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/178366

Changed in puppet-designate:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/178790

Changed in puppet-manila:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/178817

Changed in puppet-neutron:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/178821

Changed in puppet-sahara:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/179088

Changed in puppet-trove:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/179249

Changed in puppet-swift:
assignee: nobody → Emilien Macchi (emilienm)
status: New → In Progress

Reviewed: https://review.openstack.org/177569
Committed: https://git.openstack.org/cgit/stackforge/puppet-ceilometer/commit/?id=716ef623ba905945b71c0920ab9328e3df1184f6
Submitter: Jenkins
Branch: master

commit 716ef623ba905945b71c0920ab9328e3df1184f6
Author: Emilien Macchi <email address hidden>
Date: Sat Apr 25 15:19:58 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I6ca638994e9d2ecc8977a186525c9c41d2be563b
    Closes-bug: #1444736

Changed in puppet-ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/178817
Committed: https://git.openstack.org/cgit/stackforge/puppet-neutron/commit/?id=f0f92f5b3b454b3247ae3702b2d28b15a4d1592c
Submitter: Jenkins
Branch: master

commit f0f92f5b3b454b3247ae3702b2d28b15a4d1592c
Author: Emilien Macchi <email address hidden>
Date: Wed Apr 29 15:27:08 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I746dc7834b268fc64cd0c65b1388505ae4c20b8d
    Closes-bug: #1444736

Changed in puppet-neutron:
status: In Progress → Fix Committed
Changed in puppet-swift:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/179249
Committed: https://git.openstack.org/cgit/stackforge/puppet-swift/commit/?id=59b47a29d15caf16530957857be9f99ce4b0bb2f
Submitter: Jenkins
Branch: master

commit 59b47a29d15caf16530957857be9f99ce4b0bb2f
Author: Emilien Macchi <email address hidden>
Date: Thu Apr 30 17:15:09 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I3ff1f74115be8029bffc0eb9f11e09cbd4cd74a9
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/178790
Committed: https://git.openstack.org/cgit/stackforge/puppet-manila/commit/?id=8c8b02b6f294a68544df96180b4c2dcfe3bdddf0
Submitter: Jenkins
Branch: master

commit 8c8b02b6f294a68544df96180b4c2dcfe3bdddf0
Author: Emilien Macchi <email address hidden>
Date: Wed Apr 29 14:01:57 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: Ibe988eef1d433b7dca468324cd3d48be3d82fbc2
    Closes-bug: #1444736

Changed in puppet-manila:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/174182
Committed: https://git.openstack.org/cgit/stackforge/puppet-nova/commit/?id=3cba5197cc5c4e7807d5c97d374fb175b47878c7
Submitter: Jenkins
Branch: master

commit 3cba5197cc5c4e7807d5c97d374fb175b47878c7
Author: Emilien Macchi <email address hidden>
Date: Wed Apr 15 21:30:59 2015 -0400

    Update Beaker tests

    Update beaker tests to cover more services & be more consistent with
    keystone & openstacklib.

    Change-Id: Id995ec7cd141aaeaea464781e3680ba4dcd94b42
    Closes-bug: #1444736

Changed in puppet-nova:
status: In Progress → Fix Committed
Changed in puppet-horizon:
assignee: Emilien Macchi (emilienm) → Sebastien Badia (sbadia)

Reviewed: https://review.openstack.org/179088
Committed: https://git.openstack.org/cgit/stackforge/puppet-trove/commit/?id=19731ad8f1598106226617b7bd66a1ee1fd67ac2
Submitter: Jenkins
Branch: master

commit 19731ad8f1598106226617b7bd66a1ee1fd67ac2
Author: Emilien Macchi <email address hidden>
Date: Thu Apr 30 10:03:29 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I7fc62d44b683b8f6f62f122ca5eced315422f943
    Closes-bug: #1444736

Changed in puppet-trove:
status: In Progress → Fix Committed
Changed in puppet-designate:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/178366
Committed: https://git.openstack.org/cgit/stackforge/puppet-designate/commit/?id=d6e7965bc1cc64d76baee902c0e5c1f614eb9279
Submitter: Jenkins
Branch: master

commit d6e7965bc1cc64d76baee902c0e5c1f614eb9279
Author: Emilien Macchi <email address hidden>
Date: Tue Apr 28 15:48:08 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I8b5db1c81dd5816080617ea2c773574312b3d23d
    Closes-bug: #1444736

Changed in puppet-cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/177601
Committed: https://git.openstack.org/cgit/stackforge/puppet-cinder/commit/?id=e09f3c41ab45fe01c6b9bd56a27745cfff1fde77
Submitter: Jenkins
Branch: master

commit e09f3c41ab45fe01c6b9bd56a27745cfff1fde77
Author: Emilien Macchi <email address hidden>
Date: Sun Apr 26 10:30:35 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: I95445fa177ee09bffdcfb9b06df78fe91a4892b5
    Closes-bug: #1444736

Changed in puppet-horizon:
assignee: Sebastien Badia (sbadia) → Emilien Macchi (emilienm)
Changed in puppet-openstacklib:
status: New → Fix Committed
assignee: nobody → Emilien Macchi (emilienm)

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180931
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180928
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180917
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180933
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180921
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180923
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180920
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180952
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180954
Reason: Abandoning in favor of: https://review.openstack.org/#/c/177959/

Reviewed: https://review.openstack.org/178821
Committed: https://git.openstack.org/cgit/stackforge/puppet-sahara/commit/?id=704d1d812e89b88a49a8d3cf8f9502f47267b256
Submitter: Jenkins
Branch: master

commit 704d1d812e89b88a49a8d3cf8f9502f47267b256
Author: Emilien Macchi <email address hidden>
Date: Wed Apr 29 15:46:57 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.

    Change-Id: Ic952419d306f4ad1fd3d902a0277e0dfda6cd171
    Closes-bug: #1444736

Changed in puppet-sahara:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/177253
Committed: https://git.openstack.org/cgit/stackforge/puppet-horizon/commit/?id=99614aa4dbc738d885275479dc387406af14d290
Submitter: Jenkins
Branch: master

commit 99614aa4dbc738d885275479dc387406af14d290
Author: Emilien Macchi <email address hidden>
Date: Fri Apr 24 09:22:24 2015 -0400

    Beaker tests

    Implement basic structure for beaker tests.
    Closes-bug: #1444736

    Change-Id: Ic3d029e9c2a9870f9c40c755b1bdc4b3bc6259a8

Changed in puppet-horizon:
status: In Progress → Fix Committed

Change abandoned by Martin Mágr (<email address hidden>) on branch: master
Review: https://review.openstack.org/180957

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.openstack.org/182047
Reason: in favor of https://review.openstack.org/#/c/182666

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.openstack.org/182053
Reason: in favor of https://review.openstack.org/#/c/182669/

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.openstack.org/182666
Reason: in favor of https://review.openstack.org/#/c/182668/

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.openstack.org/182149
Reason: in favor of https://review.openstack.org/#/c/182673/

Reviewed: https://review.openstack.org/181439
Committed: https://git.openstack.org/cgit/stackforge/puppet-keystone/commit/?id=e8a09f76075b8d780e2f6b1b2d8fb3a19f6f94ee
Submitter: Jenkins
Branch: master

commit e8a09f76075b8d780e2f6b1b2d8fb3a19f6f94ee
Author: Emilien Macchi <email address hidden>
Date: Fri May 8 11:55:13 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_keystone_spec: add case for repo configuration and support
      RH systems.

    Change-Id: Ia2e91512c097c3aa1cff9bf7f868ae08f86a44df
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/182035
Committed: https://git.openstack.org/cgit/stackforge/puppet-ceilometer/commit/?id=c2e9179394077e838b50fbe501f181fe04729010
Submitter: Jenkins
Branch: master

commit c2e9179394077e838b50fbe501f181fe04729010
Author: Emilien Macchi <email address hidden>
Date: Mon May 11 15:38:43 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_keystone_spec: add case for repo configuration and support
      RH systems.
    * rabbitmq: install module from source and on RH, install erlang before rabbitmq-server.

    Change-Id: Ie6c823c7906afb37dd9e49fa434fefc3e26b5569
    Closes-bug: #1444736

Change abandoned by Emilien Macchi (<email address hidden>) on branch: master
Review: https://review.openstack.org/182669
Reason: in favor of https://review.openstack.org/#/c/183040

Reviewed: https://review.openstack.org/183040
Committed: https://git.openstack.org/cgit/stackforge/puppet-designate/commit/?id=bee3621298dd5a73565ba29046a67a996eb986f8
Submitter: Jenkins
Branch: master

commit bee3621298dd5a73565ba29046a67a996eb986f8
Author: Emilien Macchi <email address hidden>
Date: Mon May 11 16:00:20 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * spec: add case for repo configuration and support
      RH systems.
    * rabbitmq: install module from source
    * apt: pin the module
    * don't try to install designate on centos (packaging not ready)

    Change-Id: I687e6b274938d622860063cb1a2494f0e7f4635f
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/183135
Committed: https://git.openstack.org/cgit/stackforge/puppet-horizon/commit/?id=b975b22d97f5b794160bfdd5c4190990e8496331
Submitter: Jenkins
Branch: master

commit b975b22d97f5b794160bfdd5c4190990e8496331
Author: Emilien Macchi <email address hidden>
Date: Thu May 14 13:28:22 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * spec: add case for repo configuration and support
      RH systems.

    Change-Id: I9189efd25a8a6894b9b0be4da45bbdd49b487913
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/182622
Committed: https://git.openstack.org/cgit/stackforge/puppet-nova/commit/?id=1506d64c599167b68dee10dc94d2180806c92c63
Submitter: Jenkins
Branch: master

commit 1506d64c599167b68dee10dc94d2180806c92c63
Author: Martin Mágr <email address hidden>
Date: Wed May 13 16:19:35 2015 +0200

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_nova_spec: add case for repo configuration and support
      RH systems.

    Change-Id: I745fa76b2b36b0dbada83260fedffc4ee60f9c03
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/184022
Committed: https://git.openstack.org/cgit/stackforge/puppet-manila/commit/?id=ce1fa24cfdbb1073a1fedbb373b690b92b35c43f
Submitter: Jenkins
Branch: master

commit ce1fa24cfdbb1073a1fedbb373b690b92b35c43f
Author: Martin Mágr <email address hidden>
Date: Mon May 18 13:15:51 2015 +0200

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_manila_spec: add case for repo configuration and support
      RH systems.
    * rabbitmq: install module from source
    * apt: pin the module

    Change-Id: I03f7cd95809eba8fb6b1679a5669fbc72a9bc82c
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/184247
Committed: https://git.openstack.org/cgit/stackforge/puppet-trove/commit/?id=bd16e3dbe597dcea9506c611f4a98926578176db
Submitter: Jenkins
Branch: master

commit bd16e3dbe597dcea9506c611f4a98926578176db
Author: Martin Mágr <email address hidden>
Date: Tue May 19 15:26:58 2015 +0200

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_trove_spec: add case for repo configuration and support
      RH systems.

    Change-Id: Iaf590e0040afe0a4dc58c52a9b1a8e83a0154792
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/184055
Committed: https://git.openstack.org/cgit/stackforge/puppet-sahara/commit/?id=126a34d4402337019d6172adf6ea2349345c2efd
Submitter: Jenkins
Branch: master

commit 126a34d4402337019d6172adf6ea2349345c2efd
Author: Martin Mágr <email address hidden>
Date: Mon May 18 15:34:42 2015 +0200

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_sahara_spec: add case for repo configuration and support
      RH systems.

    Change-Id: I92aa839e7f3722e89b8582a4f9371c715615690c
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/182621
Committed: https://git.openstack.org/cgit/stackforge/puppet-swift/commit/?id=d05d97d39ecca61dcd7a1b1fd110758ad56d0de4
Submitter: Jenkins
Branch: master

commit d05d97d39ecca61dcd7a1b1fd110758ad56d0de4
Author: Martin Mágr <email address hidden>
Date: Wed May 13 13:20:02 2015 +0200

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_swift_spec: add case for repo configuration and support
      RH systems.

    Change-Id: I745fa76b2b36b0dbada83260fedffc4ee60f9c03
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/182668
Committed: https://git.openstack.org/cgit/stackforge/puppet-cinder/commit/?id=4b95903f0962a560325958ca3dd7a6297bbbc063
Submitter: Jenkins
Branch: master

commit 4b95903f0962a560325958ca3dd7a6297bbbc063
Author: Emilien Macchi <email address hidden>
Date: Mon May 11 15:46:45 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * basic_keystone_spec: add case for repo configuration and support
      RH systems.
    * rabbitmq: install module from source
    * apt: pin the module

    Change-Id: Idb91dd3d3599a4bea9a106d09be2f41052fb3cca
    Closes-bug: #1444736

Matt Fischer (mfisch) on 2015-06-02
Changed in puppet-keystone:
status: Fix Committed → Fix Released
Matt Fischer (mfisch) on 2015-06-02
Changed in puppet-glance:
status: Fix Committed → Fix Released
Matt Fischer (mfisch) on 2015-06-02
Changed in puppet-cinder:
status: Fix Committed → Fix Released
Matt Fischer (mfisch) on 2015-06-02
Changed in puppet-designate:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/183610
Committed: https://git.openstack.org/cgit/stackforge/puppet-neutron/commit/?id=e74a84f4eb6c021c34babe7689d1d4fbe6196889
Submitter: Jenkins
Branch: master

commit e74a84f4eb6c021c34babe7689d1d4fbe6196889
Author: Emilien Macchi <email address hidden>
Date: Fri May 15 13:00:32 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and
    OS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS
    * infra
    * spec: add case for repo configuration and support
      RH systems.
    * rabbitmq: install module from source
    * apt: pin the module
    * configure device_driver for LBaaS (update in Kilo)

    Change-Id: If6c724243ba2e4932b1121b7b7f148d8b5a3f187
    Closes-bug: #1444736

Reviewed: https://review.openstack.org/182673
Committed: https://git.openstack.org/cgit/stackforge/puppet-glance/commit/?id=104829144f24eaaa38374f2a0a664b3b739a234c
Submitter: Jenkins
Branch: master

commit 104829144f24eaaa38374f2a0a664b3b739a234c
Author: Emilien Macchi <email address hidden>
Date: Tue May 12 00:12:04 2015 -0400

    Bring Redhat support to acceptance tests

    OpenStack Infra has jobs to run this on both Ubuntu Trusty and CentOS7.

    * Add minitest to Gemfile (dependency to run beaker on centos - see 11
      http://projects.theforeman.org/issues/2650 for details)
    * separate nodepool files to have trusty & centos7 support in OS infra
    * class_spec: add case for repo configuration and support
      RH systems.
    * don't install rabbitmq module that is not used (yet)
    * install the apt module explicitly since it's no longer installed
      implicitly by the rabbitmq module

    Change-Id: I17a571c8d56d55337ee0c8491fb4aad272074cf6
    Closes-bug: #1444736

Mathieu Gagné (mgagne) on 2015-07-09
Changed in puppet-ceilometer:
milestone: none → 6.0.0
no longer affects: puppet-ceilometer/juno
Changed in puppet-horizon:
milestone: none → 6.0.0
Mathieu Gagné (mgagne) on 2015-07-09
Changed in puppet-neutron:
milestone: none → 6.0.0
Changed in puppet-nova:
milestone: none → 6.0.0
Changed in puppet-openstacklib:
milestone: none → 6.0.0
Changed in puppet-sahara:
milestone: none → 6.0.0
Changed in puppet-swift:
milestone: none → 6.0.0
Changed in puppet-trove:
milestone: none → 6.0.0
Mathieu Gagné (mgagne) on 2015-07-10
Changed in puppet-swift:
status: Fix Committed → Fix Released
Changed in puppet-nova:
status: Fix Committed → Fix Released
Changed in puppet-horizon:
status: Fix Committed → Fix Released
Changed in puppet-ceilometer:
status: Fix Committed → Fix Released
Changed in puppet-openstacklib:
status: Fix Committed → Fix Released
Mathieu Gagné (mgagne) on 2015-07-10
Changed in puppet-neutron:
status: Fix Committed → Fix Released
Changed in puppet-sahara:
status: Fix Committed → Fix Released
Changed in puppet-trove:
status: Fix Committed → Fix Released
Mathieu Gagné (mgagne) on 2015-07-10
Changed in puppet-keystone:
milestone: none → 6.0.0
Changed in puppet-manila:
milestone: none → 6.0.0
status: Fix Committed → Fix Released
Changed in puppet-cinder:
milestone: none → 6.0.0
Changed in puppet-designate:
milestone: none → 6.0.0
Changed in puppet-glance:
milestone: none → 6.0.0
Changed in puppet-ceph:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers